/*
 *
 *  kryptomedia- Another KDE cryto media application.
 *
 *  Copyright (C) 2006  Daniel Gollub <dgollub@suse.de>
 *
 *
 *  This file is part of kryptomedia.
 *
 *  kbluetooth is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  libkbluetooth is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with libkbluetooth; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

#include <qapplication.h>
#include <kapplication.h>
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "kryptomedia.h"

#define VERSION "0.01"

static const KCmdLineOptions options[] =
{
   { "+[UDI]", I18N_NOOP("HAL UDI to process."), 0},
   KCmdLineLastOption
};


int
main (int argc, char **argv)
{
        KAboutData aboutData("kryptomedia", "KryptoMedia", VERSION);
        aboutData.addAuthor("Daniel Gollub", 0, "dgollub@suse.de");

        KCmdLineArgs::init( argc, argv, &aboutData );
        KCmdLineArgs::addCmdLineOptions( options );
	KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
	if (args->count() < 1) {
		KCmdLineArgs::usage();
		// exit got called()
	}

	KryptoMedia a(args->arg(0));
	return a.exec();
}

